summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:27:57 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:27:57 +0200
commit247a22814f90659cc72b777f04d6103fe42a4642 (patch)
treecb14fd46a1ea167cd8d9cb9e86a7c7274e71ffb2 /audio
parent281c167b95962e4e2dd83d6d5f61b33d2ce9ff15 (diff)
downloadslackbuilds-247a22814f90659cc72b777f04d6103fe42a4642.tar.gz
slackbuilds-247a22814f90659cc72b777f04d6103fe42a4642.tar.xz
audio/id3: Added to 12.2 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/id3/README9
-rw-r--r--audio/id3/id3.SlackBuild75
-rw-r--r--audio/id3/id3.info8
-rw-r--r--audio/id3/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/audio/id3/README b/audio/id3/README
new file mode 100644
index 0000000000..35c2f63b9e
--- /dev/null
+++ b/audio/id3/README
@@ -0,0 +1,9 @@
+id3 mass tagger is a tool for manipulating ID3 and ID3v2 tags in
+multiple files. It can generate tag fields from the filename and other
+variables, and/or rename files, using an intuitive syntax.
+
+id3 currently supports the old-style ID3 format with track-number
+extension (ID3 v1.1), as well as the more complicated ID3v2 (ID3 v2.2.0,
+v2.3.0) format.
+
+The program uses non standard licence.
diff --git a/audio/id3/id3.SlackBuild b/audio/id3/id3.SlackBuild
new file mode 100644
index 0000000000..fcbac13347
--- /dev/null
+++ b/audio/id3/id3.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for id3
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=id3
+VERSION=${VERSION:-0.78}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+make
+
+# Copying executable and manual to the correct location
+mkdir -p $PKG/usr/bin
+cp -a id3 $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+cp -a id3.man $PKG/usr/man/man1/id3.1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/audio/id3/id3.info b/audio/id3/id3.info
new file mode 100644
index 0000000000..b99c8ed84f
--- /dev/null
+++ b/audio/id3/id3.info
@@ -0,0 +1,8 @@
+PRGNAM="id3"
+VERSION="0.78"
+HOMEPAGE="http://home.wanadoo.nl/squell/id3.html"
+DOWNLOAD="http://home.wanadoo.nl/squell/files/id3-0.78.tar.gz"
+MD5SUM="bbc2a5d8022006330e6bb51034fafb43"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"
diff --git a/audio/id3/slack-desc b/audio/id3/slack-desc
new file mode 100644
index 0000000000..3c8964941b
--- /dev/null
+++ b/audio/id3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+id3: id3 (a commandline mass ID3 tagger)
+id3:
+id3: id3 mass tagger is a tool for manipulating ID3 and ID3v2 tags in
+id3: multiple files. It can generate tag fields from the filename and
+id3: other variables, and/or rename files, using an intuitive syntax.
+id3:
+id3: id3 currently supports the old-style ID3 format with track-number
+id3: extension (ID3 v1.1), as well as the more complicated ID3v2 (ID3
+id3: v2.2.0, v2.3.0) format.
+id3:
+id3: The program uses non standard licence.